Bug 144590 - English labels need cleanup in Digikam
Summary: English labels need cleanup in Digikam
Status: RESOLVED FIXED
Alias: None
Product: digikam
Classification: Unclassified
Component: Usability-i18n (show other bugs)
Version: unspecified
Platform: Compiled Sources Linux
: NOR normal (vote)
Target Milestone: ---
Assignee: Digikam Developers
URL:
Keywords:
Depends on:
Blocks:
 
Reported: 2007-04-24 05:08 UTC by Brian Remedios
Modified: 2021-12-31 16:07 UTC (History)
2 users (show)

See Also:
Latest Commit:
Version Fixed In: 7.5.0


Attachments
patch for digikam (1.68 KB, patch)
2007-06-03 14:33 UTC, Frank Siegert
Details
patch for kipi-plugins (10.07 KB, patch)
2007-06-03 14:34 UTC, Frank Siegert
Details

Note You need to log in before you can comment on or make changes to this bug.
Description Brian Remedios 2007-04-24 05:08:19 UTC
Version:           0.9.2-SVN (using KDE KDE 3.5.5)
Installed from:    Compiled From Sources
OS:                Linux

I've gone through most of the Digikam system and noted some of the areas that need rewording in English. Some general trends, unnecessary pluralization, inconsistent use of label colons ':', non-use of sentence case formatting, and the use of technical terms where simpler terms would work better.

Also, I would strongly suggest that wherever the word 'picture' is used you would think about using 'image' instead. This is more professional and helps to include graphics that don't necessarily come from cameras.

General top-level Menu label fixes:

In general, avoid using the term 'sync' as it is too casual and non-technical people may not be familiar with the short form. Use 'synchronize' or 'update' (preferred) instead.

Camera -> Media Browse    [ should be 'Browse Media' ]
Tools -> Sync all Pictures Metadata  [ should be 'Synchronize Image Metadata' but 'Update Metadata Database' would be preferred ]
Tools -> Batch Processes [ should be singular, 'Batch Process', since the user will only invoke one process a time.]
View -> Slide Show -> Recursive  [ 'Recursive' is a somewhat technical term, use 'With all subfolders' instead]
Image -> Correct Exif Orientation tag [ Would prefer either 'Set' or 'Adjust' rather than 'Correct' as it currently seems like it will fix itself ]
Album -> Sync Pictures Metadata [ use 'Update metadata database' to denote what is actually being changed (i.e. not the image files!) ]

- - -

In the "Export to Flickr..." function I see a temporary dialog that says "Connecting to frob"  I have no idea what a frob is or what it is trying to do, needs a better label but not sure what.

In the dialog that comes up next: "Flickr::Kipi Plugin:Web Authorization"  The user doesn't need to know that it is a Kipi plugin. For clarity the title should just be "Flikr: Web Authorization".

The current text reads: "Please Follow through the instructions in the browser window and return back to press ok if you are authenticated or press No"

It should be rewritten to:

"Please follow the instructions in the browser window and return to press Yes if you were able to log in or No to cancel the export."

(I think the 'Yes' label in the left button would be better as 'Login OK')

In the 'FlickrUploadr - digiKam' dialog that follows there is a subtitle 'Flickr Export' which makes it inconsistent. (sounds like we are exporting -from- Flickr which is not the case) I would suggest changing the dialog title to 'Flickr Upload' and removing larger heading below it and replacing it with some helpful instructions.

- - -

In the 'Edit EXIF Metadata' dialog:

In English, the word 'information' doesn't have a specific plural form with an appended 's'.
Anywhere you find the word 'informations' just remove the final 's'. This is common across KDE documentation actually.

'Date and Time Informations'  Too wordy, 'Date and Time' alone is just fine.

'Pictures Adjustments Informations' Too wordy and too many plural forms. Change it to 'Picture Adjustments'

In the 'Caption' there are three checkboxes at the bottom denoting the various metadata targets whose labels are not clear. I would suggest these labels instead:

[x] Save to JFIF
[x] Save to digikam database
[x] Save to IPTC (warning: ASCII only)

Note: EXIF text fields (* above) are limited to ASCII characters only)

(I think it would be better if digikam could detect non-ASCII characters when the user types them instead. Then it could beep, inhibit the entry, and popup an warning message.)

- - -

In the 'Properties' tab:

In the 'Image Properties' section there is a label "Bits Depth". It should just be "Bit depth". Note that the bottom 'Photograph Properties' section the "White balance" label uses sentence case formatting too which is the preferred way so the "Depth" should be "depth" to match. Ditto for: "Color Mode" -> "Color mode".

- - -

In the 'Adjust Time & Date' dialog:

The labels on the two Sync checkboxes are confusing as the direction of synchronization is not clear. I would suggest something like:

Update:  [x] Exif creation date  [x] IPTC creation date

- - -

In the KML Export dialog:

Use sentence case formatting for the labels.

'Pictures Altitude' -> 'Picture altitude'   (no 's' on Pictures either)
'Destination Directory -> 'Destination directory'
'File Name' -> 'File name'
'Icons size' -> 'Icon size'
'GPX File' -> 'GPX file'
'Time zone:' This label has a colon appended to it. Either remove it or make sure all the others have them as well.
'Track Width' -> 'Track width'
'Track Color' -> 'Track color'
'Track Altitude' -> 'Track altitude'
- - -

On a confirmation dialog I get:

'Sync all pictures metadata from all albums with digiKam database can take a while. Do you want to continue?'

Too wordy and confusing, it should be written as:

'Updating the metadata database can take some time. Do you want to continue?'

- - -

Configure dialog

	Metadata: Save image time stamp as tags (should be 'timestamp', one word)
	Slide Show Settings:  Print camera aperture and focal length  (missing the 'length' part)
	Kipi Plugins: There no need to prefix every checkbox label with 'KIPI', it is redundant.

- - -

In the 'Email Images Options' dialog:

'Image List to Email' -> 'Images to EMail'

I would shorten the labels on the buttons on the left to just 'Add..' and 'Remove', the context is obvious and allows more room for the filenames.

Mail Options:

'Change properties of images' -> 'Adjust image properties'

(In English, you can generally eliminate the 'of' and tighten the text if you reverse the word order)

'Images Properties' -> 'Image Properties'

'New images size:' -> 'Sent image size:'
'New images compression:' -> 'Sent image quality level:'  (this makes more sense since a setting of '100' does not mean 100% compression!)
'Images file format:' -> 'Image file format'

'Maximum Email Size:' -> 'Maximum Email size limit:'
Comment 1 Inge Wallin 2007-04-24 11:11:19 UTC
Not a kchart bug -- reassigning to digikam
Comment 2 Frank Siegert 2007-06-03 14:32:37 UTC
Thanks for this bugreport. I'll attach a patch where most of your findings are included (if they are not in trunk yet). One is for digikam, the other for kipi plugins.

Here are the commented suggestions, such that you can see, which ones are still open (look for FIXME).

|  Also, I would strongly suggest that wherever the word 'picture' is
| used you would think about using 'image' instead. This is more
| professional and helps to include graphics that don't necessarily come
| from cameras.

FIXME: I'll leave this for a developer to decide; not included in my patches.

|  General top-level Menu label fixes:
|
|  In general, avoid using the term 'sync' as it is too casual and
| non-technical people may not be familiar with the short form. Use
| 'synchronize' or 'update' (preferred) instead.
|
|  Camera -> Media Browse    [ should be 'Browse Media' ]
|  Tools -> Sync all Pictures Metadata  [ should be 'Synchronize Image
| Metadata' but 'Update Metadata Database' would be preferred ] 

Fixed in trunk.

| Tools -> 
| Batch Processes [ should be singular, 'Batch Process', since the user
| will only invoke one process a time.] 

In attached patch.

| View -> Slide Show -> Recursive  
| [ 'Recursive' is a somewhat technical term, use 'With all subfolders'
| instead] 

Fixed in trunk.

| Image -> Correct Exif Orientation tag [ Would prefer either 
| 'Set' or 'Adjust' rather than 'Correct' as it currently seems like it
| will fix itself ] 

Fixed in trunk.

| Album -> Sync Pictures Metadata [ use 'Update 
| metadata database' to denote what is actually being changed (i.e. not
| the image files!) ]

Fixed in trunk.

|  In the "Export to Flickr..." function I see a temporary dialog that
| says "Connecting to frob"  I have no idea what a frob is or what it is
| trying to do, needs a better label but not sure what.

I didn't find the word frob anymore, so I assume fixed in trunk.

|  In the dialog that comes up next: "Flickr::Kipi Plugin:Web
| Authorization"  The user doesn't need to know that it is a Kipi plugin.
| For clarity the title should just be "Flikr: Web Authorization".
|  The current text reads: "Please Follow through the instructions in the
| browser window and return back to press ok if you are authenticated or
| press No"
|
|  It should be rewritten to:
|
|  "Please follow the instructions in the browser window and return to
| press Yes if you were able to log in or No to cancel the export."

In attached patch.

|  In the 'FlickrUploadr - digiKam' dialog that follows there is a
| subtitle 'Flickr Export' which makes it inconsistent. (sounds like we
| are exporting -from- Flickr which is not the case) I would suggest
| changing the dialog title to 'Flickr Upload' and removing larger
| heading below it and replacing it with some helpful instructions.

FIXME: I'm not sure, what is more consistent. Left it out right now.

|  In the 'Edit EXIF Metadata' dialog:
|
|  In English, the word 'information' doesn't have a specific plural form
| with an appended 's'. Anywhere you find the word 'informations' just
| remove the final 's'. This is common across KDE documentation actually.
|
|  'Date and Time Informations'  Too wordy, 'Date and Time' alone is just
| fine.
|
|  'Pictures Adjustments Informations' Too wordy and too many plural
| forms. Change it to 'Picture Adjustments'

In attached patch.

|  In the 'Caption' there are three checkboxes at the bottom denoting the
| various metadata targets whose labels are not clear. I would suggest
| these labels instead:
|
|  [x] Save to JFIF
|  [x] Save to digikam database
|  [x] Save to IPTC (warning: ASCII only)

FIXME: Didn't find it.

|  In the 'Properties' tab:
|
|  In the 'Image Properties' section there is a label "Bits Depth". It
| should just be "Bit depth". Note that the bottom 'Photograph
| Properties' section the "White balance" label uses sentence case
| formatting too which is the preferred way so the "Depth" should be
| "depth" to match. Ditto for: "Color Mode" -> "Color mode".

Fixed in trunk.

|  In the 'Adjust Time & Date' dialog:
|
|  The labels on the two Sync checkboxes are confusing as the direction
| of synchronization is not clear. I would suggest something like:
|
|  Update:  [x] Exif creation date  [x] IPTC creation date

In attached patch.

|  In the KML Export dialog:
|
|  Use sentence case formatting for the labels.
|
|  'Pictures Altitude' -> 'Picture altitude'   (no 's' on Pictures
| either) 'Destination Directory -> 'Destination directory'
|  'File Name' -> 'File name'
|  'Icons size' -> 'Icon size'
|  'GPX File' -> 'GPX file'
|  'Time zone:' This label has a colon appended to it. Either remove it
| or make sure all the others have them as well. 'Track Width' -> 'Track
| width'
|  'Track Color' -> 'Track color'
|  'Track Altitude' -> 'Track altitude'

Fixed in trunk.

|  On a confirmation dialog I get:
|
|  'Sync all pictures metadata from all albums with digiKam database can
| take a while. Do you want to continue?'
|
|  Too wordy and confusing, it should be written as:
|
|  'Updating the metadata database can take some time. Do you want to
| continue?'

Fixed in trunk.

|  Configure dialog
|
|  Metadata: Save image time stamp as tags (should be 'timestamp', one
| word) Slide Show Settings:  Print camera aperture and focal length 
| (missing the 'length' part) Kipi Plugins: There no need to prefix every
| checkbox label with 'KIPI', it is redundant.

Fixed in trunk.

|  In the 'Email Images Options' dialog:
|
|  'Image List to Email' -> 'Images to EMail'
|  I would shorten the labels on the buttons on the left to just 'Add..'
| and 'Remove', the context is obvious and allows more room for the
| filenames.
|
|  Mail Options:
|
|  'Change properties of images' -> 'Adjust image properties'
|
|  (In English, you can generally eliminate the 'of' and tighten the text
| if you reverse the word order)
|
|  'Images Properties' -> 'Image Properties'
|
|  'New images size:' -> 'Sent image size:'
|  'New images compression:' -> 'Sent image quality level:'  (this makes
| more sense since a setting of '100' does not mean 100% compression!)
| 'Images file format:' -> 'Image file format'
|
|  'Maximum Email Size:' -> 'Maximum Email size limit:'

In attached patch.
Comment 3 Frank Siegert 2007-06-03 14:33:54 UTC
Created attachment 20768 [details]
patch for digikam
Comment 4 Frank Siegert 2007-06-03 14:34:33 UTC
Created attachment 20769 [details]
patch for kipi-plugins
Comment 5 caulier.gilles 2007-06-03 14:41:19 UTC
Thanks Brian for this report...

Gerhard,

I let's you manage this patch to release 0.9.2 beta3. I'm very busy today...

Gilles
Comment 6 Gerhard Kulzer 2007-06-03 16:39:08 UTC
Except for the flickr issues, all has been reviewed and comitted to svn.
Thanks a lot Frank :-)))

Gerhard

Am Sunday 03 June 2007 schrieb Frank Siegert:
[bugs.kde.org quoted mail]
Comment 7 Brian Remedios 2007-06-03 21:01:44 UTC
Good stuff..closed it
Comment 8 caulier.gilles 2021-12-31 16:07:50 UTC
Fixed with works from bug #438701 for next 7.5.0 release

Gilles Caulier